_______________________________________________________________________
## Update & Upgrade

```apt update && apt upgrade -y```

_______________________________________________________________________
## Set hostnames

```nano /etc/hostname```

```nano /etc/hosts```
_______________________________________________________________________

## Pulseway Install

```
wget https://www.pulseway.com/download/pulseway_x64.deb

dpkg -i pulseway_x64.deb

pulseway-registration
```

_______________________________________________________________________

## aaPanel Install

```wget -O install.sh http://www.aapanel.com/script/install-ubuntu_6.0_en.sh && bash install.sh forum```
_______________________________________________________________________

## ip confings

RUN AS ROOT~

```nano /etc/netplan/00-installer-config.yaml```

(look at 'ip address' as this differs from VMS to physical systems)

```
# This is the network config written by 'subiquity'
network:
 ethernets:
   eth0:
     addresses: [192.168.1.LOL/24]
     gateway4: 192.168.1.1
     nameservers:
       addresses: [1.1.1.1, 8.8.8.8, 64.6.64.6, 8.8.4.4, 1.0.0.1, 9.9.9.9, 64.6.65.6]
```

```netplan apply```


## Create dev Ips

(look at 'ip address' as this differs from VMS to physical systems)

```ip addr add 192.168.1.LOL/24 dev eth0```

## https://sop.wtf/cl4fzn
_______________________________________________________________________

## How to resize /dev/ubuntu-vg/ubuntu-lv "Root Dir"

## This is if you have LVM enabled, if its non LVM read this ask ubuntu thread https://sop.wtf/3nn8bi
```
df -h
lvm
lvextend -l +100%FREE /dev/ubuntu-vg/ubuntu-lv
exit
df -h
```

## You may need to do this if on virsion 22.04 or higher
```
fdisk -l (note it's partition 3 by looking at the current Size)
parted
resizepart, Fix, 3, 100% (type this instead), quit
pvresize /dev/sda3
lvextend -l +100%FREE /dev/ubuntu-vg/ubuntu-lv
resize2fs /dev/ubuntu-vg/ubuntu-lv
df -h
```

_________________________________________________________________________

## Enable Root on SSH

```
sudo su -
passwd
nano /etc/ssh/sshd_config
Look for: PermitRootLogin prohibit-password (line 34) and change it to PermitRootLogin yes
or if your lazy, sudo echo "PermitRootLogin yes" >> nano /etc/ssh/sshd_config
reboot
```
_________________________________________________________________________

## Mount SMB CIFS

```sudo apt install cifs-utils
sudo mkdir /mnt/NAME
sudo nano /root/.NAME-credentials
```
```
username=username
password=password

```

```sudo chmod 400 /root/.NAME-credentials
sudo mount -t cifs -o rw,vers=3.0,credentials=/.NAME-credentials //IPADD/Share/NAME /mnt/NAME
```
## Automount on system reboot

```
sudo nano /etc/fstab
//IPADD/Share/NAME /mnt/NAME cifs vers=3.0,credentials=/.NAME-credentials
```
_________________________________________________________________________

## Time change

```
timedatectl
timedatectl list-timezones
sudo timedatectl set-timezone America/Los_Angeles
```

_________________________________________________________________________

## Observium Install
https://sop.wtf/0qjgzv

```
wget http://www.observium.org/observium_installscript.sh
sudo chmod +x observium_installscript.sh
sudo ./observium_installscript.sh
```
________________________________________________________________________

## SNMP v3 Configuration

```
sudo apt update
sudo apt install snmp snmpd libsnmp-dev

sudo net-snmp-config --create-snmpv3-user -ro -A [PASSWORD] -X [CRYPTO-PASSWORD] -a MD5 -x AES [USER]
```
________________________________________________________________________

## Install PHP 8.1.x

```
sudo apt install software-properties-common (Should be install by default, but run just incase)
sudo add-apt-repository ppa:ondrej/php
```

________________________________________________________________________
